# Visualization
TKV3d
AIS

# AIS_SignatureFilter Class Reference

Selects Interactive Objects through their signatures
and types. The signature provides an
additional characterization of an object's type, and
takes the form of an index. The filter questions each
Interactive Object in local context to determine
whether it has an non-null owner, and if so, whether
it has the desired signature. If the object returns true
in each case, it is kept. If not, it is rejected.
By default, the interactive object has a None type
and a signature of 0. If you want to give a particular
type and signature to your Interactive Object, you
must redefine two virtual methods: Type and Signature.
This filter is only used in an open local contexts.
In the Collector viewer, you can only locate
Interactive Objects which answer positively to the
positioned filters when a local context is open.
Warning
Some signatures have already been used by standard
objects delivered in AIS. These include:
- signature 0 - Shape
- signature 1 - Point
- signature 2 - Axis
- signature 3 - Trihedron
- signature 4 - PlaneTrihedron
- signature 5 - Line
- signature 6 - Circle
- signature 7 - Plane
.

`#include <AIS_SignatureFilter.hxx>`

Inheritance diagram for AIS_SignatureFilter:

[legend]

## Public Member Functions

Standard_EXPORT | AIS_SignatureFilter (const AIS_KindOfInteractive aGivenKind, const Standard_Integer aGivenSignature)
| Initializes the signature filter, adding the signature specification, aGivenSignature, to that for type, aGivenKind, in AIS_TypeFilter. .
Standard_EXPORT Standard_Boolean | IsOk (const Handle(SelectMgr_EntityOwner)&anobj) const
| Returns False if the transient is not an AIS_InteractiveObject. Returns False if the signature of InteractiveObject is not the same as the stored one in the filter... .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Integer | mySig

## Constructor & Destructor Documentation

Standard_EXPORT AIS_SignatureFilter::AIS_SignatureFilter | ( | const AIS_KindOfInteractive | aGivenKind,
|  | const Standard_Integer | aGivenSignature
| ) |

## Member Function Documentation

Standard_EXPORT const AIS_SignatureFilter::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from AIS_TypeFilter.

Standard_EXPORT Standard_Boolean AIS_SignatureFilter::IsOk | ( | const Handle(SelectMgr_EntityOwner)& | anobj | ) | const`[virtual]`

| Reimplemented from AIS_TypeFilter.

## Field Documentation

Standard_Integer AIS_SignatureFilter::mySig `[private]`

The documentation for this class was generated from the following file:

- AIS_SignatureFilter.hxx